# eric6.QScintilla.Lexers.LexerCPP

Module implementing a CPP lexer with some additional methods.

### Global Attributes

None

### Classes

LexerCPP | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCPP

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerCPP

### Class Attributes

None

### Class Methods

None

### Methods

LexerCPP | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.
maximumKeywordSet | Public method to get the maximum keyword set.

### Static Methods

None

#### LexerCPP (Constructor)

LexerCPP(parent=None, caseInsensitiveKeywords=False)

Constructor

parent
  parent widget of this lexer
caseInsensitiveKeywords
  flag indicating keywords are case insensitive (boolean)

#### LexerCPP.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (list of strings)

#### LexerCPP.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerCPP.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerCPP.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Returns:
  flag indicating a comment style (boolean)

#### LexerCPP.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Returns:
  flag indicating a string style (boolean)

#### LexerCPP.maximumKeywordSet

maximumKeywordSet()

Public method to get the maximum keyword set.

Returns:
  maximum keyword set (integer)

Up